[Solved] VirtualBox update problem.

Questions about software.
Jag59
Posts: 10
Joined: 08 Jul 2019 12:12

[Solved] VirtualBox update problem.

Postby Jag59 » 19 Oct 2019 12:50

This is a fresh installation of SolydK 10 64-bit done on 28 Sept 2019.
Updates of virtualbox (6.0.12-dfsg-1) to virtualbox (6.0.14-dfsg-1) were available.
Attempted through synaptic, but got updated only virtualbox-dkms (6.0.12-dfsg-1) to 6.0.14-dfsg-1.
Again tried to update virtualbox but could not succeed, so removed it along with virtualbox-qt and virtualbox-dkms.
Now when I try to install virtualbox (6.0.14-dfsg-1), synaptic displays-

Code: Select all

virtualbox:
 Depends: virtualbox-dkms but it is not going to be installed or
 	virtualbox-source but it is not going to be installed or
	virtualbox-modules
  Depends: libc6 (>=2.29) but 2.28-10 is to be installed
 Recommends: virtualbox-qt but it is not going to be installed
In synaptic if I select force version (6.0.12-dfsg-1), the source is not available.

inxi -Fxz output is-

Code: Select all

jagdeesh-deshpande@jld-lap-solydk:~$ inxi -Fxz
System:
  Host: jld-lap-solydk Kernel: 4.19.0-6-amd64 x86_64 bits: 64 
  compiler: gcc v: 8.3.0 Desktop: KDE Plasma 5.14.5 
  Distro: solydxk-10 10 
Machine:
  Type: Portable System: Dell product: Vostro 1550 v: N/A 
  serial: <filter> 
  Mobo: Dell model: 061W4M v: A03 serial: <filter> BIOS: Dell 
  v: A03 date: 10/14/2011 
Battery:
  ID-1: BAT0 charge: 6.4 Wh condition: 6.4/48.6 Wh (13%) 
  model: Sanyo DELL 4YRJH23 status: Full 
CPU:
  Topology: Dual Core model: Intel Core i3-2350M bits: 64 
  type: MT MCP arch: Sandy Bridge rev: 7 L2 cache: 3072 KiB 
  flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx 
  bogomips: 18358 
  Speed: 1518 MHz min/max: 800/2300 MHz Core speeds (MHz): 
  1: 1518 2: 1218 3: 1964 4: 1324 
Graphics:
  Device-1: Intel 2nd Generation Core Processor Family Integrated 
  Graphics 
  vendor: Dell driver: i915 v: kernel bus ID: 00:02.0 
  Display: x11 server: X.Org 1.20.4 driver: modesetting 
  unloaded: fbdev,vesa resolution: 1366x768~60Hz, 1920x1080~60Hz 
  OpenGL: renderer: Mesa DRI Intel Sandybridge Mobile 
  v: 3.3 Mesa 18.3.6 direct render: Yes 
Audio:
  Device-1: Intel 6 Series/C200 Series Family High Definition 
  Audio 
  vendor: Dell driver: snd_hda_intel v: kernel bus ID: 00:1b.0 
  Sound Server: ALSA v: k4.19.0-6-amd64 
Network:
  Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet vendor: Dell driver: r8169 v: kernel port: e000 bus ID: 05:00.0 
  IF: enp5s0 state: down mac: <filter> 
  Device-2: Broadcom Limited BCM4313 802.11bgn Wireless Network 
  Adapter 
  vendor: Dell driver: bcma-pci-bridge v: N/A port: e000 
  bus ID: 09:00.0 
  IF-ID-1: wlp9s0b1 state: up mac: <filter> 
Drives:
  Local Storage: total: 465.76 GiB used: 317.79 GiB (68.2%) 
  ID-1: /dev/sda vendor: Toshiba model: MK5076GSX 
  size: 465.76 GiB 
Partition:
  ID-1: / size: 29.41 GiB used: 8.05 GiB (27.4%) fs: ext4 
  dev: /dev/sda1 
  ID-2: swap-1 size: 5.00 GiB used: 0 KiB (0.0%) fs: swap 
  dev: /dev/sda6 
Sensors:
  System Temperatures: cpu: 46.0 C mobo: N/A 
  Fan Speeds (RPM): cpu: 3012 
Info:
  Processes: 183 Uptime: 28m Memory: 3.76 GiB 
  used: 1.39 GiB (37.0%) Init: systemd runlevel: 5 Compilers: 
  gcc: 8.3.0 Shell: bash v: 5.0.3 inxi: 3.0.32 
jagdeesh-deshpande@jld-lap-solydk:~$ 


User avatar
Arjen Balfoort
Site Admin
Posts: 9309
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: VirtualBox update problem.

Postby Arjen Balfoort » 19 Oct 2019 17:11

Yes, that dependency (libc6) breaks this version of virtualbox in buster.
virtualbox is only available in sid. So, I'm afraid that I will have to remove all virtualbox packages from the solydxk-10 repository, except the guest packages.

The only thing that you can do now is to download and install the installation package from the virtualbox site.


SolydXK needs you!
Development | Testing | Translations

User avatar
Arjen Balfoort
Site Admin
Posts: 9309
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: VirtualBox update problem.

Postby Arjen Balfoort » 20 Oct 2019 09:08

For reference, to install virtualbox you can run these commands in terminal :

Code: Select all

sudo sh -c "echo 'deb [arch=amd64] https://download.virtualbox.org/virtualbox/debian buster contrib' > /etc/apt/sources.list.d/virtualbox.list"
wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
apt update
apt install virtualbox-6.0
Make sure you do not have virtualbox running. Better to remove the old virtualbox before installing the new one.


SolydXK needs you!
Development | Testing | Translations

User avatar
ilu
Posts: 2519
Joined: 09 Oct 2013 12:45

Re: VirtualBox update problem.

Postby ilu » 22 Oct 2019 22:29

There's also an unofficial (and unsupported) backport of the Debian unstable package for Debian 10: https://people.debian.org/~lucas/virtualbox-buster/.

Edit: Doesn't really work at the moment. The oracle repo works.

It looks like Debian is debating to set up a special repository http://fasttrack.debian.net/# for software where upstream is not cooperating well - references see https://wiki.debian.org/VirtualBox).

Typhoon_MkII
Posts: 4
Joined: 22 Oct 2019 16:06

Re: VirtualBox update problem.

Postby Typhoon_MkII » 23 Oct 2019 13:32

Eh, too bad it doesn't work... Is there a place where one could follow the news on this topic, or do I need to check regularily by myself?

User avatar
Arjen Balfoort
Site Admin
Posts: 9309
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: VirtualBox update problem.

Postby Arjen Balfoort » 23 Oct 2019 20:01

Please check this announcement I posted an hour ago: viewtopic.php?f=2&t=7681


SolydXK needs you!
Development | Testing | Translations

User avatar
ilu
Posts: 2519
Joined: 09 Oct 2013 12:45

Re: VirtualBox update problem.

Postby ilu » 24 Oct 2019 00:36

Arjen, your virtualbox package seem to have the same problems the package from people@debian has:

1. no icons - can copy those from Oracle's package
2. no desktop file and no menu integration but that can be done manuallly
3. virtualbox doesn't start because a link with that name in /usr/bin is missing. I'm not sure where that link should be pointing. The package from Oracle has a slightly different file list in /usr/lib and /usr/bin.

The debian guy wanted to start it with systemctl but that's just weird. The oracle package works and starts ootb - but it doesn't provide the dkms part and the extensions iso.

User avatar
Arjen Balfoort
Site Admin
Posts: 9309
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: VirtualBox update problem.

Postby Arjen Balfoort » 24 Oct 2019 06:07

All those files are available in virtualbox-qt.

The description of the virtualbox package says:

Code: Select all

A graphical user interface for VirtualBox is provided by the package virtualbox-qt.
Unfortunately, virtualbox-qt is only a recommended package, not a dependency.


SolydXK needs you!
Development | Testing | Translations

User avatar
ilu
Posts: 2519
Joined: 09 Oct 2013 12:45

Re: VirtualBox update problem.

Postby ilu » 26 Oct 2019 06:06

Sorry I missed that package. All working now.

Jag59
Posts: 10
Joined: 08 Jul 2019 12:12

Re: [Solved] VirtualBox update problem.

Postby Jag59 » 06 Nov 2019 05:10

Admin please, can you move this to out of 'KDE Specific'? After posting the original post, I realized that it is not KDE specific.
Good that you posted this under "News", appreciate your efforts.

User avatar
Arjen Balfoort
Site Admin
Posts: 9309
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: [Solved] VirtualBox update problem.

Postby Arjen Balfoort » 06 Nov 2019 10:40

Topic moved to "Software".


SolydXK needs you!
Development | Testing | Translations


Return to “Software”

Who is online

Users browsing this forum: No registered users and 1 guest